- Qt 5.15
- Qt NFC
- C++ Classes
- QNdefNfcUriRecord
- Qt 5.15.19 Reference Documentation

# QNdefNfcUriRecord Class

The QNdefNfcUriRecord class provides an NFC RTD-URI. More...

Header: | #include <QNdefNfcUriRecord>
qmake: | QT += nfc
Since: | Qt 5.2
Inherits: | QNdefRecord

This class was introduced in Qt 5.2.

- List of all members, including inherited members

## Public Functions

| QNdefNfcUriRecord(const QNdefRecord &other)
| QNdefNfcUriRecord()
void | setUri(const QUrl &uri)
QUrl | uri() const

## Detailed Description

RTD-URI encapsulates a URI.

## Member Function Documentation

### QNdefNfcUriRecord::QNdefNfcUriRecord(const QNdefRecord &other)

Constructs a new NFC uri record that is a copy of other.

### QNdefNfcUriRecord::QNdefNfcUriRecord()

Constructs an empty NFC uri record.

### void QNdefNfcUriRecord::setUri(const QUrl &uri)

Sets the URI of this URI record to uri.

See also uri().

### QUrl QNdefNfcUriRecord::uri() const

Returns the URI of this URI record.

See also setUri().